#ifndef __PACKAGENAME_H_2025_03_09
#define __PACKAGENAME_H_2025_03_09

#include <string>

using namespace std;

class PackageName {
    static string determineDefaultArchitecture();
public:
    struct NameWithArchitecture {
        const string name;
        const string architecture;
    };

    static const string& defaultArchitecture();

    static NameWithArchitecture extractArchitecture(const string& name);
};


#endif // __PACKAGENAME_H_2025_03_09
